# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from __future__ import annotations

import os
from typing import Any, cast

import pytest

from studyfetch_sdk import StudyfetchSDK, AsyncStudyfetchSDK

base_url = os.environ.get("TEST_API_BASE_URL", "http://127.0.0.1:4010")


class TestUser:
    parametrize = pytest.mark.parametrize("client", [False, True], indirect=True, ids=["loose", "strict"])

    @pytest.mark.skip()
    @parametrize
    def test_method_get_all(self, client: StudyfetchSDK) -> None:
        user = client.v1.scenarios.submissions.user.get_all()
        assert user is None

    @pytest.mark.skip()
    @parametrize
    def test_raw_response_get_all(self, client: StudyfetchSDK) -> None:
        response = client.v1.scenarios.submissions.user.with_raw_response.get_all()

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        user = response.parse()
        assert user is None

    @pytest.mark.skip()
    @parametrize
    def test_streaming_response_get_all(self, client: StudyfetchSDK) -> None:
        with client.v1.scenarios.submissions.user.with_streaming_response.get_all() as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            user = response.parse()
            assert user is None

        assert cast(Any, response.is_closed) is True

    @pytest.mark.skip()
    @parametrize
    def test_method_get_by_scenario(self, client: StudyfetchSDK) -> None:
        user = client.v1.scenarios.submissions.user.get_by_scenario(
            "id",
        )
        assert user is None

    @pytest.mark.skip()
    @parametrize
    def test_raw_response_get_by_scenario(self, client: StudyfetchSDK) -> None:
        response = client.v1.scenarios.submissions.user.with_raw_response.get_by_scenario(
            "id",
        )

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        user = response.parse()
        assert user is None

    @pytest.mark.skip()
    @parametrize
    def test_streaming_response_get_by_scenario(self, client: StudyfetchSDK) -> None:
        with client.v1.scenarios.submissions.user.with_streaming_response.get_by_scenario(
            "id",
        ) as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            user = response.parse()
            assert user is None

        assert cast(Any, response.is_closed) is True

    @pytest.mark.skip()
    @parametrize
    def test_path_params_get_by_scenario(self, client: StudyfetchSDK) -> None:
        with pytest.raises(ValueError, match=r"Expected a non-empty value for `id` but received ''"):
            client.v1.scenarios.submissions.user.with_raw_response.get_by_scenario(
                "",
            )


class TestAsyncUser:
    parametrize = pytest.mark.parametrize(
        "async_client", [False, True, {"http_client": "aiohttp"}], indirect=True, ids=["loose", "strict", "aiohttp"]
    )

    @pytest.mark.skip()
    @parametrize
    async def test_method_get_all(self, async_client: AsyncStudyfetchSDK) -> None:
        user = await async_client.v1.scenarios.submissions.user.get_all()
        assert user is None

    @pytest.mark.skip()
    @parametrize
    async def test_raw_response_get_all(self, async_client: AsyncStudyfetchSDK) -> None:
        response = await async_client.v1.scenarios.submissions.user.with_raw_response.get_all()

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        user = await response.parse()
        assert user is None

    @pytest.mark.skip()
    @parametrize
    async def test_streaming_response_get_all(self, async_client: AsyncStudyfetchSDK) -> None:
        async with async_client.v1.scenarios.submissions.user.with_streaming_response.get_all() as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            user = await response.parse()
            assert user is None

        assert cast(Any, response.is_closed) is True

    @pytest.mark.skip()
    @parametrize
    async def test_method_get_by_scenario(self, async_client: AsyncStudyfetchSDK) -> None:
        user = await async_client.v1.scenarios.submissions.user.get_by_scenario(
            "id",
        )
        assert user is None

    @pytest.mark.skip()
    @parametrize
    async def test_raw_response_get_by_scenario(self, async_client: AsyncStudyfetchSDK) -> None:
        response = await async_client.v1.scenarios.submissions.user.with_raw_response.get_by_scenario(
            "id",
        )

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        user = await response.parse()
        assert user is None

    @pytest.mark.skip()
    @parametrize
    async def test_streaming_response_get_by_scenario(self, async_client: AsyncStudyfetchSDK) -> None:
        async with async_client.v1.scenarios.submissions.user.with_streaming_response.get_by_scenario(
            "id",
        ) as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            user = await response.parse()
            assert user is None

        assert cast(Any, response.is_closed) is True

    @pytest.mark.skip()
    @parametrize
    async def test_path_params_get_by_scenario(self, async_client: AsyncStudyfetchSDK) -> None:
        with pytest.raises(ValueError, match=r"Expected a non-empty value for `id` but received ''"):
            await async_client.v1.scenarios.submissions.user.with_raw_response.get_by_scenario(
                "",
            )
