# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from __future__ import annotations

import os
from typing import Any, cast

import pytest

from studyfetch_sdk import StudyfetchSDK, AsyncStudyfetchSDK

base_url = os.environ.get("TEST_API_BASE_URL", "http://127.0.0.1:4010")


class TestAnalyst:
    parametrize = pytest.mark.parametrize("client", [False, True], indirect=True, ids=["loose", "strict"])

    @pytest.mark.skip()
    @parametrize
    def test_method_get_test_questions(self, client: StudyfetchSDK) -> None:
        analyst = client.v1.usage.analyst.get_test_questions()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    def test_raw_response_get_test_questions(self, client: StudyfetchSDK) -> None:
        response = client.v1.usage.analyst.with_raw_response.get_test_questions()

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        analyst = response.parse()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    def test_streaming_response_get_test_questions(self, client: StudyfetchSDK) -> None:
        with client.v1.usage.analyst.with_streaming_response.get_test_questions() as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            analyst = response.parse()
            assert analyst is None

        assert cast(Any, response.is_closed) is True

    @pytest.mark.skip()
    @parametrize
    def test_method_list_chat_messages(self, client: StudyfetchSDK) -> None:
        analyst = client.v1.usage.analyst.list_chat_messages()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    def test_raw_response_list_chat_messages(self, client: StudyfetchSDK) -> None:
        response = client.v1.usage.analyst.with_raw_response.list_chat_messages()

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        analyst = response.parse()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    def test_streaming_response_list_chat_messages(self, client: StudyfetchSDK) -> None:
        with client.v1.usage.analyst.with_streaming_response.list_chat_messages() as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            analyst = response.parse()
            assert analyst is None

        assert cast(Any, response.is_closed) is True

    @pytest.mark.skip()
    @parametrize
    def test_method_list_events(self, client: StudyfetchSDK) -> None:
        analyst = client.v1.usage.analyst.list_events(
            end_date="endDate",
            event_type="material_created",
            start_date="startDate",
        )
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    def test_raw_response_list_events(self, client: StudyfetchSDK) -> None:
        response = client.v1.usage.analyst.with_raw_response.list_events(
            end_date="endDate",
            event_type="material_created",
            start_date="startDate",
        )

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        analyst = response.parse()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    def test_streaming_response_list_events(self, client: StudyfetchSDK) -> None:
        with client.v1.usage.analyst.with_streaming_response.list_events(
            end_date="endDate",
            event_type="material_created",
            start_date="startDate",
        ) as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            analyst = response.parse()
            assert analyst is None

        assert cast(Any, response.is_closed) is True


class TestAsyncAnalyst:
    parametrize = pytest.mark.parametrize(
        "async_client", [False, True, {"http_client": "aiohttp"}], indirect=True, ids=["loose", "strict", "aiohttp"]
    )

    @pytest.mark.skip()
    @parametrize
    async def test_method_get_test_questions(self, async_client: AsyncStudyfetchSDK) -> None:
        analyst = await async_client.v1.usage.analyst.get_test_questions()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    async def test_raw_response_get_test_questions(self, async_client: AsyncStudyfetchSDK) -> None:
        response = await async_client.v1.usage.analyst.with_raw_response.get_test_questions()

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        analyst = await response.parse()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    async def test_streaming_response_get_test_questions(self, async_client: AsyncStudyfetchSDK) -> None:
        async with async_client.v1.usage.analyst.with_streaming_response.get_test_questions() as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            analyst = await response.parse()
            assert analyst is None

        assert cast(Any, response.is_closed) is True

    @pytest.mark.skip()
    @parametrize
    async def test_method_list_chat_messages(self, async_client: AsyncStudyfetchSDK) -> None:
        analyst = await async_client.v1.usage.analyst.list_chat_messages()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    async def test_raw_response_list_chat_messages(self, async_client: AsyncStudyfetchSDK) -> None:
        response = await async_client.v1.usage.analyst.with_raw_response.list_chat_messages()

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        analyst = await response.parse()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    async def test_streaming_response_list_chat_messages(self, async_client: AsyncStudyfetchSDK) -> None:
        async with async_client.v1.usage.analyst.with_streaming_response.list_chat_messages() as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            analyst = await response.parse()
            assert analyst is None

        assert cast(Any, response.is_closed) is True

    @pytest.mark.skip()
    @parametrize
    async def test_method_list_events(self, async_client: AsyncStudyfetchSDK) -> None:
        analyst = await async_client.v1.usage.analyst.list_events(
            end_date="endDate",
            event_type="material_created",
            start_date="startDate",
        )
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    async def test_raw_response_list_events(self, async_client: AsyncStudyfetchSDK) -> None:
        response = await async_client.v1.usage.analyst.with_raw_response.list_events(
            end_date="endDate",
            event_type="material_created",
            start_date="startDate",
        )

        assert response.is_closed is True
        assert response.http_request.headers.get("X-Stainless-Lang") == "python"
        analyst = await response.parse()
        assert analyst is None

    @pytest.mark.skip()
    @parametrize
    async def test_streaming_response_list_events(self, async_client: AsyncStudyfetchSDK) -> None:
        async with async_client.v1.usage.analyst.with_streaming_response.list_events(
            end_date="endDate",
            event_type="material_created",
            start_date="startDate",
        ) as response:
            assert not response.is_closed
            assert response.http_request.headers.get("X-Stainless-Lang") == "python"

            analyst = await response.parse()
            assert analyst is None

        assert cast(Any, response.is_closed) is True
